package org.jcon.df.edit.screen.commando;

import org.jcon.df.edit.screen.ScreenCommandContext;
import org.jcon.df.edit.screen.std.ScreenCommandoStd;
import org.jcon.param.Param;

/**
* This class shows the default sheet. It's rather simple.
*
* @author Jack Harich
*/
public class ShowDefaultSheet extends ScreenCommandoStd {

//---------- Abstract Implementations --------------------
public boolean isScreenCommandContextNeeded() {
    return false;
}
// Neither argument is needed, which is rare.
public void doCommand(Param cmdParam, ScreenCommandContext cmdContext) {
    screenContext.setSheetVisible(null, true);        
}
//---------- Private Methods -----------------------------
//--- Std
private static void print(String text) {
    System.out.println("ShowDefaultSheet" + text);
}


} // End class
